Topics

Add-on Updater 20.03 is on its way

Brian's Mail list account
 

Well I guess if it just does not work then you will see it in the log.
The idea though is to attempt to stop old unsupported code from working to keep things stable I suppose, Its a shame that the writers of Python could not have somehow made certain bits still work as they used to, but I guess that could cause conflicts if multiple code paths used different methods and tried to run at the same time. Ouch.
Brian

bglists@...
Sent via blueyonder.
Please address personal E-mail to:-
briang1@..., putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users

----- Original Message -----
From: "Joseph Lee" <@joslee>
To: <nvda-devel@groups.io>
Sent: Tuesday, March 10, 2020 8:51 AM
Subject: Re: [nvda-devel] Add-on Updater 20.03 is on its way


Hi,
It's really up to NVDA to check for things like that - manifests can fool
users, but it can't fool Python sometimes.
Cheers,
Joseph

-----Original Message-----
From: nvda-devel@groups.io <nvda-devel@groups.io> On Behalf Of Brian's Mail
list account via Groups.Io
Sent: Tuesday, March 10, 2020 12:54 AM
To: nvda-devel@groups.io
Subject: Re: [nvda-devel] Add-on Updater 20.03 is on its way

How will the compatibility check be done for existing add ons if somebody
updates a python 2 version later to the next python 3 and only adds the add
on updater at that time, will it then disable the old add ons or just fall
over?
Brian

bglists@...
Sent via blueyonder.
Please address personal E-mail to:-
briang1@..., putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users
----- Original Message -----
From: "Joseph Lee" <@joslee>
To: <nvda-devel@groups.io>
Sent: Monday, March 09, 2020 9:45 PM
Subject: [nvda-devel] Add-on Updater 20.03 is on its way


Hi all,



Add-on Updater 20.03 is on its way - to be released within the next 24
hours. This release is important (and mandatory): from now on, NVDA
2019.3.1
or later will be required. Also, starting from this release, Add-on
Updater
will no longer check for compatibility range - the add-on will defer to
NVDA
when it comes to checking add-on compatibility.



Cheers,

Joseph








 

Hi,
It's really up to NVDA to check for things like that - manifests can fool
users, but it can't fool Python sometimes.
Cheers,
Joseph

-----Original Message-----
From: nvda-devel@groups.io <nvda-devel@groups.io> On Behalf Of Brian's Mail
list account via Groups.Io
Sent: Tuesday, March 10, 2020 12:54 AM
To: nvda-devel@groups.io
Subject: Re: [nvda-devel] Add-on Updater 20.03 is on its way

How will the compatibility check be done for existing add ons if somebody
updates a python 2 version later to the next python 3 and only adds the add
on updater at that time, will it then disable the old add ons or just fall
over?
Brian

bglists@...
Sent via blueyonder.
Please address personal E-mail to:-
briang1@..., putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users
----- Original Message -----
From: "Joseph Lee" <@joslee>
To: <nvda-devel@groups.io>
Sent: Monday, March 09, 2020 9:45 PM
Subject: [nvda-devel] Add-on Updater 20.03 is on its way


Hi all,



Add-on Updater 20.03 is on its way - to be released within the next 24
hours. This release is important (and mandatory): from now on, NVDA
2019.3.1
or later will be required. Also, starting from this release, Add-on
Updater
will no longer check for compatibility range - the add-on will defer to
NVDA
when it comes to checking add-on compatibility.



Cheers,

Joseph




Brian's Mail list account
 

How will the compatibility check be done for existing add ons if somebody updates a python 2 version later to the next python 3 and only adds the add on updater at that time, will it then disable the old add ons or just fall over?
Brian

bglists@...
Sent via blueyonder.
Please address personal E-mail to:-
briang1@..., putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users

----- Original Message -----
From: "Joseph Lee" <@joslee>
To: <nvda-devel@groups.io>
Sent: Monday, March 09, 2020 9:45 PM
Subject: [nvda-devel] Add-on Updater 20.03 is on its way


Hi all,



Add-on Updater 20.03 is on its way - to be released within the next 24
hours. This release is important (and mandatory): from now on, NVDA 2019.3.1
or later will be required. Also, starting from this release, Add-on Updater
will no longer check for compatibility range - the add-on will defer to NVDA
when it comes to checking add-on compatibility.



Cheers,

Joseph



 

Hi all,

 

Add-on Updater 20.03 is on its way – to be released within the next 24 hours. This release is important (and mandatory): from now on, NVDA 2019.3.1 or later will be required. Also, starting from this release, Add-on Updater will no longer check for compatibility range – the add-on will defer to NVDA when it comes to checking add-on compatibility.

 

Cheers,

Joseph